#ifndef VECELLIPTPROJECT_H
#define VECELLIPTPROJECT_H

#include "Project.h"
#include "ProblemVec.h"

class Vecelliptdemo : public Project {
  ProblemVec vecellipt;
  AdaptInfo* adaptInfo;
  AdaptStationary* adapt;
  Operator* matrixOperator00;
  Operator* matrixOperator10;
  Operator* matrixOperator11;
  Operator* rhsOperator0;

  public:
    Vecelliptdemo();
    ~Vecelliptdemo();

    void create(string& filename);
    int solve(SolutionInformation& );
};

#endif
